import request from '@/config/axios'

export const createMeeting = (data) => {
  return request.post({
    url: '/admin-api/okr/meeting/add',
    data,
    isSubmitForm: true
    // headers: { 'instance-id': 1016 }
  })
}

// 修改
export const updateMeeting = (data) => {
  return request.put({
    url: '/admin-api/okr/meeting/update',
    data
    // headers: { 'instance-id': 1016 }
  })
}
// 查询详情
export const getMeetingDetail = (params) => {
  return request.get({
    url: '/admin-api/okr/meeting/get',
    params
    // headers: { 'instance-id': 1016 }
  })
}

// 取消会议
export const cancelMeeting = (data) => {
  return request.put({
    url: '/admin-api/okr/meeting/cancel',
    data
    // headers: { 'instance-id': 1016 }
  })
}

// 分页查询
export const getMeetingPage = (params) => {
  return request.get({
    url: '/admin-api/okr/meeting/page',
    params
    // headers: { 'instance-id': 1016 }
  })
}

// 刷新微信群列表
export const refreshWxGroupList = () => {
  return request.get({
    url: '/admin-api/system/wx/reFreshWeChatGroupList'
    // headers: { 'instance-id': 1016 }
  })
}

// 获取微信群聊列表
export const getWxGroupList = () => {
  return request.get({
    url: '/admin-api/system/wx/getWeChatGroupList'
    // headers: { 'instance-id': 1016 }
  })
}
